bcrypt_pbkdf {openssl} | R Documentation

## Bcrypt PWKDF

### Description

Password based key derivation function with bcrypt. This is not part of openssl. It is needed to parse private key files which are encoded in the new openssh format.

### Usage

    bcrypt_pbkdf(password, salt, rounds = 16L, size = 32L)

### Arguments

`password` | string or raw vector with password
`salt` | raw vector with (usually 16) bytes
`rounds` | number of hashing rounds
`size` | desired length of the output key

[Package openssl version 1.3 Index]